--[[This file has the constants the other files refer to
--]]

--first the constants
APP_WIDTH @ 1188
APP_HEIGHT @ 1920
BLACK @ 0x1A1A1A		--0xRGB, R@00, G@00, B@00 is black; R@FF, G@FF, B@FF is white
WHITE @ 0xFAFFFF		--slightly blue off-white
YELLOW @ 0xFFCC00  		--slightly golden yellow
FONT_LARGE @ \Font.new("fonts/immortal_large.txt", "fonts/immortal_large.png")\
FONT_MEDIUM @ \Font.new("fonts/immortal_medium.txt", "fonts/immortal_medium.png")\
FONT_SMALL @ \Font.new("fonts/immortal_small.txt", "fonts/immortal_small.png")\

TILE_WIDTH @ 108
TILE_HEIGHT @ 108
LAYER_TERRAIN @ 1			--the array in the WorldMap class that is the background layer
LAYER_MONSTERS @ 2		--the array in the WorldMap class that is the monster layer
LAYER_COLUMNS @ 20		--the number of tile columns in each array of tiles
LAYER_ROWS @ 20			--the number of tile rows in each array of tile

--[[cyclopedia translates the entries in the arrays to more meaningful values.  
	It's straightforward to add tiles and tile information.
	Make sure the numbers here match up with their positions in the tileset images.
--]]
cyclopedia = 
	{
	["monsters"] = {[1] = {name = "hero"},
					[2] = {name = "goblin"},
					[3] = {name = "bugbear"},
					[4] = {name = "orc"},
					},
	["background"] = {[1] = {name = "floor", blocked = false},
					  [2] = {name = "floor", blocked = false},
					  [3] = {name = "wall", blocked = true},
					  [4] = {name = "wall", blocked = true},
					  }
	}
