--[[This is where the main gaming screen is setup. 
	Rearrange the buttons, etc.. to your liking.
--]]

MainScreen = Core.class(Sprite)

function MainScreen:init()

	--add the foreground picture
	local fg = Bitmap.new(Texture.new("images/foreground.png", true))
	fg:setX(1189)
	self:addChild(fg)

	--add the title
	local title = TextField.new(FONT_MEDIUM, "The Long Dark")	--of Moria (most roguelikes are inspired by Tolkein)
	title:setTextColor(YELLOW)	
	title:setPosition(1320, 100)
	self:addChild(title)

	--these variables are for the buttons that respond to user input
	self.north = {}
	self.south = {}
	self.west = {}
	self.east = {}
	local buttons = Sprite.new()
	local up = TextField.new(FONT_LARGE, "N", true)
	local down = TextField.new(FONT_LARGE, "N", true)
	up:setTextColor(WHITE)	
	down:setTextColor(BLACK)
	self.north = Button.new(up, down)
	self.north:setPosition(1490, 800)  
	buttons:addChild(self.north)
	
	local up = TextField.new(FONT_LARGE, "S", true)
	local down = TextField.new(FONT_LARGE, "S", true)
	up:setTextColor(WHITE)	
	down:setTextColor(BLACK)
	self.south = Button.new(up, down)
	self.south:setPosition(1500, 1100)  
	buttons:addChild(self.south)
	
	local up = TextField.new(FONT_LARGE, "W", true)
	local down = TextField.new(FONT_LARGE, "W", true)
	up:setTextColor(WHITE)	
	down:setTextColor(BLACK)
	self.west = Button.new(up, down)
	self.west:setPosition(1300, 950)  
	buttons:addChild(self.west)
	
	local up = TextField.new(FONT_LARGE, "E", true)
	local down = TextField.new(FONT_LARGE, "E", true)
	up:setTextColor(WHITE)	
	down:setTextColor(BLACK)
	self.east = Button.new(up, down)
	self.east:setPosition(1660, 950)  
	buttons:addChild(self.east)
	self:addChild(buttons)
	
	--exit properly if user hits the back button
	self:addEventListener(Event.KEY_DOWN, function(event)
		if event.keyCode == KeyCode.BACK then
			if application:getDeviceInfo() == "Android" then
				application:exit()
			end
		end
	end)
	
end