--[[Roguelike tutorial #2

	This tutorial introduces TileMap and gets a map on the screen
--]]

--set up the application variables
application:setLogicalDimensions(APP_WIDTH, APP_HEIGHT)
application:setOrientation(Application.LANDSCAPE_LEFT)
application:setScaleMode("letterbox")
application:setBackgroundColor(BLACK)

--the main gaming variables
local world = WorldMap.new()	
stage:addChild(world)
local main = MainScreen.new()
stage:addChild(main)
--and the hero variable (just location for now)
local hero = {}
hero.x, hero.y = 6, 6

local function checkMove(dx, dy)
--[[Logic: move the hero if the tile isn't blocked
	Called from main. compass buttons
	Uses cyclopedia, world:getTileKey
	Calls world:moveHero
--]]
	-- first we need the tileid and layer for where the hero wants to move
	local entry, layer = world:getTileKey(hero.x + dx, hero.y + dy)	
	-- then look up the list it's on
	if layer == LAYER_MONSTERS then					
		local tile = cyclopedia.monsters[entry] 
		print("that's a " .. tile.name)
	elseif layer == LAYER_TERRAIN then												
		local tile = cyclopedia.background[entry]							
		if tile.blocked then		
			print("that's a " .. tile.name)		
		else
			world:moveHero(hero, dx, dy)
		end
	end
end

--respond to the compass directions
main.north:addEventListener("click", function() checkMove(0, -1) end)
main.south:addEventListener("click", function() checkMove(0, 1) end)
main.west:addEventListener("click", function() checkMove(-1, 0) end)
main.east:addEventListener("click", function() checkMove(1, 0) end)
